## Class TMysqlTableColumn

Description

Describes the column metadata of the schema for a Mysql database table.

- since: 3.1
- version: $Id: TMysqlTableColumn.php 1866 2007-04-14 05:02:29Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Mysql/TMysqlTableColumn.php (line 26)

    TComponent
       |
       --TDbTableColumn
          |
          --TMysqlTableColumn

Method Summary
boolean getAutoIncrement ()
void getDbTypeValues ()
boolean getPHPType ()
boolean hasSequence ()
Methods
getAutoIncrement (line 54)

- return: true if column will auto-increment when the column value is inserted as null.
- access: public

boolean getAutoIncrement ()
getDbTypeValues (line 67)

- access: public

void getDbTypeValues ()
getPHPType (line 38)

Overrides parent implementation, returns PHP type from the db type.

- return: derived PHP primitive type from the column db type.
- access: public

boolean getPHPType ()

Redefinition of:

TDbTableColumn::getPHPType()
  Returns the derived PHP primitive type from the db type. Default returns 'string'.

hasSequence (line 62)

- return: true if auto increment is true.
- access: public

boolean hasSequence ()

Redefinition of:

TDbTableColumn::hasSequence()

#### Inherited Methods

Inherited From TDbTableColumn

> TDbTableColumn::__construct()
> TDbTableColumn::getAllowNull()
> TDbTableColumn::getColumnId()
> TDbTableColumn::getColumnIndex()
> TDbTableColumn::getColumnName()
> TDbTableColumn::getColumnSize()
> TDbTableColumn::getDbType()
> TDbTableColumn::getDefaultValue()
> TDbTableColumn::getInfo()
> TDbTableColumn::getIsExcluded()
> TDbTableColumn::getIsForeignKey()
> TDbTableColumn::getIsPrimaryKey()
> TDbTableColumn::getMaxiumNumericConstraint()
> TDbTableColumn::getNumericPrecision()
> TDbTableColumn::getNumericScale()
> TDbTableColumn::getPdoType()
> TDbTableColumn::getPHPType()
> TDbTableColumn::getSequenceName()
> TDbTableColumn::hasSequence()
> TDbTableColumn::setInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TDbTableColumn

> TDbTableColumn::UNDEFINED_VALUE

Documentation generated on Mon, 21 Apr 2008 11:35:41 -0400 by phpDocumentor 1.3.0RC4